
Installer - Bug #3262

actually create "cache" file to save the time of the last host facts push

10/15/2013 03:36 PM - Andreas Paul

Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 1.3.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The external_node_v2.rb.erb script with --push-facts will never create a "cache" file under yaml/foreman/ to remember the last time it

pushed the host facts to foreman, which will result in all puppetmaster needlessly sending all host facts every time this script is run

(with --push-facts parameter).

Calling the cache function after sending the request fixes this, because the check for the mtime of the cache file is already in place.

https://github.com/theforeman/puppet-foreman/pull/118

Associated revisions

Revision 41fa7ebd - 10/21/2013 10:07 AM - Andreas Paul

fixes #3262 - actually create "cache" file to save the time of the last host facts push

History

#1 - 10/15/2013 05:12 PM - Dominic Cleal

- Project changed from Foreman to Installer

- Category changed from Importers to Foreman modules

- Status changed from New to Ready For Testing

#2 - 10/16/2013 03:10 PM - Greg Sutcliffe

- translation missing: en.field_release set to 1

#3 - 10/16/2013 03:17 PM - Greg Sutcliffe

- Target version deleted (1.3.1)

#4 - 10/16/2013 03:21 PM - Greg Sutcliffe

- Target version set to 1.15.0

#5 - 10/22/2013 06:53 PM - Andreas Paul

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|commit:41fa7ebdc8760b23de88b70047e56ec858acb051.
